{% extends 'base.html' %}
{% load static %}
{% load bootstrap4 %}

{% block content %}
    <!-- SECTION -->
    <div class="section">
        <!-- container -->
        <div class="container">
            <!-- row -->
            <div class="row">

                <!-- section title -->
                <div class="col-md-12">
                    <div class="section-title">
                        <h3 class="title">New Products</h3>
                    </div>
                </div>
                <!-- /section title -->

                <!-- Products tab & slick -->
                <div class="col-md-12">
                    <div class="row">
                        <div class="products-tabs">
                            <!-- tab -->
                            <div id="tab1" class="tab-pane active">
                                <div class="products-slick" data-nav="#slick-nav-1">
                                    <!-- product -->
                                    {% for product in products %}
                                    <div class="product">
                                        <div class="product-img">
                                            <img src="{{ product.main_photo.url }}" alt="">
                                            <div class="product-label">
                                                <span class="sale">-30%</span>
                                                <span class="new">NEW</span>
                                            </div>
                                        </div>
                                        <div class="product-body">
                                            <p class="product-category">{{ product.category.name }}</p>
                                            <h3 class="product-name"><a href="{% url 'product:about' product.id %}">{{ product.name }}</a></h3>
                                            <h4 class="product-price">${{ product.price }} <del class="product-old-price">${{ product.price }}</del></h4>
                                            <div class="product-rating">
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>
                                            </div>
                                        </div>
                                        <div class="add-to-cart">
                                            <button class="add-to-cart-btn" data-id="{{ product.id }}"><i class="fa fa-shopping-cart"></i> add to cart</button>
                                        </div>
                                    </div>
                                    {% endfor %}
                                    <!-- /product -->
                                </div>
                                <div id="slick-nav-1" class="products-slick-nav"></div>
                            </div>
                            <!-- /tab -->
                        </div>
                    </div>
                </div>
                <!-- Products tab & slick -->
            </div>
            <!-- /row -->
        </div>
        <!-- /container -->
    </div>
    <!-- /SECTION -->

{% comment %}
    <div class="hero-wrap hero-bread" style="background-image: url({% static 'images/bg_1.jpg' %});">
        <div class="container">
            <div class="row no-gutters slider-text align-items-center justify-content-center">
                <div class="col-md-9 text-center">
                    <p class="breadcrumbs"><span class="mr-2"><a href="main_page.html">Home</a></span>
                        <span>Products</span></p>
                    <h1 class="mb-0 bread">Products</h1>
                </div>
            </div>
        </div>
    </div>
    <section class="ftco-section">

        <div class="container">
            <ul class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="dropdown04" data-toggle="dropdown"
                   aria-haspopup="true" aria-expanded="false">Отфильтровать по категории</a>
                <li class="dropdown-menu" aria-labelledby="dropdown04">
                    <form action="{% url 'product:products-list' %} " method="get">
                        <a href="{% url 'product:products-list' %}" class="btn btn-block border-bottom border-top">Сбросить</a>
                        {% for category in categories %}
                            <input type="submit" class="btn btn-block border-bottom border-top" value="{{ category.name }}" name="category">
                        {% endfor %}
                    </form>
                </li>
            </ul>

            <div class="row">
                {% for product in products %}
                    <div class="col-md-6 col-lg-3 ">
                        <div class="product">
                            <a href="{% url 'product:about' product.id %}" class="img-prod"><img
                                    class="img-fluid"
                                    src="{{ product.main_photo.url }}"
                                    alt="No photo">
                                <div class="overlay"></div>
                            </a>
                            <div class="text py-3 pb-4 px-3 text-center">
                                <h3><a target="_blank" href="{% url 'product:about' product.id %}">{{ product.name }}</a>
                                </h3>
                                <p class="text-muted">{{ product.short_description }}</p>
                                <div class="d-flex">
                                    <div class="pricing">
                                        <p class="price"><span
                                                class="price-sale">${{ product.price }}</span>
                                        </p>
                                    </div>
                                </div>
                                <div class="bottom-area d-flex px-3">
                                    <div class="m-auto d-flex">
                                        <a href="{% url 'cart:cart_add' product.id %}">+</a>

                                        <a href="#add_to_cart"
                                           class="add-to-cart d-flex justify-content-center align-items-center text-center">
                                            <span><i class="ion-ios-cart">+</i></span>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                {% empty %}
                    <h2 class="mb-4 border-bottom border-success mx-auto ">No products yet</h2>
                {% endfor %}
            </div>
        </div>
        <div class="container">
            <div class="row">

                <div class="row mt-5 mx-auto">
                    <div class="col text-center">
                        {% if paginator.num_pages > 1 %}
                            {% bootstrap_pagination page_obj %}
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </section>
{% endcomment %}

{% endblock %}

{% block scripts %}
<script type="text/javascript">
    $(document).ready(function(){
        $('.add-to-cart-btn').on('click', function(){
            product_id = $(this).attr('data-id')
            ppd = product_id
            data = {
                product_id: product_id
            }
            var myDiv = document.getElementById("ffacart");
            console.log(myDiv);
            myDiv.innerHTML = ppd;
            $.ajax(console.log(ppd),{
                type: 'GET',
                url: '{% url "cart:cart_add" product_id=0 %}'.replace('0',ppd),
                data: data,
                success: function(data){
                    console.log('success')
                }
            })

        })
    });
</script>
{% endblock %}